Bug 1470709 - katello-change-hostname should be installed with capsule
katello-change-hostname should be installed with capsule
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Packaging (Show other bugs)
6.3.0
Unspecified Unspecified
high Severity medium (vote)
: GA
: --
Assigned To: Eric Helms
Peter Ondrejka
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-13 09:49 EDT by Peter Ondrejka
Modified: 2018-02-21 11:51 EST (History)
2 users (show)

See Also:
Fixed In Version: katello-3.4.4
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-21 11:41:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 20420 None None None 2017-07-26 11:02 EDT

  None (edit)
Description Peter Ondrejka 2017-07-13 09:49:14 EDT
Description of problem:

katello-change-hostname is a tool for renaming satellite and capsule server hostnames, but right now it is pulled only with `yum install satellite` but not with `yum install satellite-capsule`

Version-Release number of selected component (if applicable):

satellite-capsule-6.3.0-16.0.beta.el7sat.noarch

Expected results:

katello-change-hostname is available after installing an external capsule
Comment 1 John Mitsch 2017-07-14 12:11:31 EDT
also katello-backup and katello-restore should now be on capsules as well
Comment 3 John Mitsch 2017-07-26 11:02:28 EDT
Created redmine issue http://projects.theforeman.org/issues/20420 from this bug
Comment 4 pm-sat@redhat.com 2017-07-26 16:07:57 EDT
Upstream bug assigned to ehelms@redhat.com
Comment 5 pm-sat@redhat.com 2017-07-26 16:08:00 EDT
Upstream bug assigned to ehelms@redhat.com
Comment 6 pm-sat@redhat.com 2017-07-27 16:07:56 EDT
Upstream bug assigned to ehelms@redhat.com
Comment 7 pm-sat@redhat.com 2017-07-27 16:07:58 EDT
Upstream bug assigned to ehelms@redhat.com
Comment 8 pm-sat@redhat.com 2017-07-28 14:08:00 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20420 has been resolved.
Comment 9 pm-sat@redhat.com 2017-08-03 18:09:38 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20420 has been resolved.
Comment 10 Peter Ondrejka 2017-08-17 08:03:31 EDT
With Satellite 6.3 snap 11 katello-change-hostname is installed with capsule, though the commit needed for rename to function on capsule is not pulled yet, https://bugzilla.redhat.com/show_bug.cgi?id=1473614 deals with the problem, therefore verifying this one.
Comment 11 Bryan Kearney 2018-02-21 11:39:51 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336
Comment 12 Bryan Kearney 2018-02-21 11:41:53 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336
Comment 13 pm-sat@redhat.com 2018-02-21 11:51:07 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336

Note You need to log in before you can comment on or make changes to this bug.